Skip to main content
GET
/
v1
/
alerts
List alerts
curl --request GET \
  --url https://api.agentmark.co/v1/alerts \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Agentmark-App-Id: <api-key>'
{
  "data": [
    {
      "app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "commit_sha": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "evaluation_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "threshold": 123,
      "time_window": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "<string>",
      "use_slack": true,
      "use_webhook": true
    }
  ],
  "pagination": {
    "limit": 1,
    "offset": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentmark.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 1000
offset
integer | null
default:0
Required range: x >= 0
status
enum<string>
Available options:
triggered,
resolved
metric
enum<string>
Available options:
error_rate,
latency,
cost,
evaluation_score

Response

Paginated list of alerts.

data
object[]
required
pagination
object
required